<?php


namespace IPS\rules\modules\admin\rules;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * admin
 */
class _license extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		\IPS\Dispatcher::i()->checkAcpPermission( 'settings_manage' );
		
		\IPS\Output::i()->sidebar[ 'actions' ][ 'documentation' ] = array(
			'icon'	=> 'file',
			'link'	=> \IPS\Http\Url::external( 'http://invision-virus.com/index.php?goto=licenseinformation' ),
			'title'	=> 'rules_get_iv_license',
			'target' => '_blank',
			'data' => array(),
		);
		
		$form = new \IPS\Helpers\Form;
		$form->add( new \IPS\Helpers\Form\Text( 'rules_iv_license', \IPS\Settings::i()->rules_iv_license, TRUE, array() ) );
		
		/* Save */
		if ( $values = $form->values( TRUE ) )
		{
			$form->saveAsSettings( $values );
			$_SESSION['inlineMessage'] = 'License Saved';
		}
		
		\IPS\Output::i()->title	 = \IPS\Member::loggedIn()->language()->addToStack( 'rules_stack_iv_license' );
		\IPS\Output::i()->output = $form;
	}
	
	/**
	 * Manage
	 */
	protected function manage()
	{
		
	}
	
}
